image: debian/stable
sources:
- https://gitlab.com/soprani.ca/sgx-bwmsgsv2
packages:
- ruby
- ruby-dev
- bundler
- libxml2-dev
- rubocop
environment:
  LANG: C.UTF-8
tasks:
- dependencies: |
    cd sgx-bwmsgsv2
    bundle install --path=.gems
- lint: |
    cd sgx-bwmsgsv2
    rubocop .
